Support of Internet Explorer 8 for NetTeller Online Banking will cease on Thursday, June 26, 2014.

As you may know, Microsoft discontinued support of its Windows XP operating system on April 8, 2014. As Windows XP users weren't able to upgrade beyond Internet Explorer 8 (IE8), NetTeller maintained support of this browser version in a limited capacity over the past year, which was against their standard method of supporting only the current and prior major browser releases.

 

With the official discontinuation of Windows XP, there will be no future security patches available from Microsoft, and therefore users on that operating system may be subject to vulnerabilities.

 


QUESTIONS AND ANSWERS:

Microsoft discontinued support of the Windows XP operating system on April 8, 2014. The following is an excerpt from the announcement on their website:

Windows XP, Office 2003 and Exchange Server 2003 went out of support on April 8, 2014. As a result, there is no new security updates, non-security hotfixes, free or paid assisted support options, or online technical content updates.

Running Windows XP SP3, Office 2003 and Exchange 2003 in your environment after their end of support date may expose your company to potential risks.

In light of this announcement, many companies and individuals will elect to upgrade their operating system to one that is supported, not only in terms of customer and online support, but also in terms of security patches and updates. As support of IE8 was only continued on a limited basis due to the constraint of Windows XP, the need to continue to do so has ended.

It is evident there may be companies or entities using proprietary software that is only able to be run on Windows XP, or that are restricted from accessing and downloading other supported browsers (Chrome, Firefox, etc.). Support of IE8 is being extended until the end of June 2014 to allow a grace period for any affected users to upgrade to one of the supported browsers.

Users will still be able to log in to NetTeller via IE8. They may experience limited functionality as support will no longer be introducing fixes for that browser. Users will need to upgrade or switch to a supported browser in order to use NetTeller in its optimal format.

No, users accessing NetTeller via IE8 will not be blocked. In the past, measures were taken to fully block access to browsers that are no longer supported or patched. That will not happen for IE8 at this time; however, it may be considered when Microsoft discontinues support of IE8. The discontinuation of support of IE8 is related to the sunset of Windows XP support, not Microsoft's support of IE8.

NetTeller support only develops new functionality or implements fixes for supported browsers. In most cases, users can still access NetTeller using a non-supported browser; however, NetTeller support will not develop any new functionality or deploy fixes for those browsers.